#include "StdAfx.h"
#include "StickerItem.h"

//////////////////////////////////////////////////////////////////////////
// CStickerGroupItem
/*
CStickerGroupItem::CStickerGroupItem(void)
{
	m_strGroupID = _T("");
	m_strImgPath[0] = _T("");
	m_strImgPath[1] = _T("");

	m_rtItem.SetRectEmpty();
	m_img[0] = NULL;
	m_img[1] = NULL;

	m_eTabStatus = tabNormal;
}

CStickerGroupItem::~CStickerGroupItem(void)
{
}*/

//////////////////////////////////////////////////////////////////////////
// CStickerItem
CStickerItem::CStickerItem(void)
{
	m_strImgPath = _T("");
	m_pImage = NULL;
}

CStickerItem::CStickerItem(int nGroupId,int nStickerId)
{
	m_gid = nGroupId;
	m_sid = nStickerId;
	m_strImgPath.Format(_T("%s\\sticker\\%02d\\img_sticker_%02d_%03d_s.png"), GetAppImgDir(),m_gid,m_gid,m_sid);

	CString strImageName;
	strImageName.Format(_T("%s\\sticker\\%02d\\img_sticker_%02d_%03d.png"), GetAppImgDir(),m_gid,m_gid,m_sid);
	m_pImage = new Image(strImageName);	
}

CStickerItem::~CStickerItem(void)
{
	
	SAFE_DELETE(m_pImage);
}


int CStickerItem::GetGroupId()
{	
	return m_gid;
}

int CStickerItem::SetGroupId(int nGroupId)
{
	m_gid = nGroupId;
	return 0;
}

int CStickerItem::SetStickerId(int sid)
{
	m_sid = sid;
	return 0;
}

int CStickerItem::GetStickerId()
{
	return m_sid;
}

CString CStickerItem::GetImageName()
{
	return m_strImgPath;
}

CStickerItem *CStickerItem::Clone()
{
	CStickerItem *psi = new CStickerItem(m_gid,m_sid);
	
	
	return psi;
}

Image* CStickerItem::GetImagePtr()
{
	return m_pImage;
}